*,
*::before,
*::after {
  min-width: 0px;
  min-height: 0px;
}

html {
  /* 最小値13pxを保証し、1200px未満では最大22pxまでフォントサイズが流動する */
  font-size: clamp(13px, var(--font-size-base), 22px);

  @media screen and (min-width: 1200px) {
    font-size: clamp(0.1rem, var(--font-size-base), 24px);
  }
}

body {
  font-family: var(--font-sans);
  color: var(--ink);
  background-color: var(--emerald);
  letter-spacing: 0.03em;
  font-weight: 500;
}

#root {
  margin: 0 auto;
}

p, h1, h2, h3, h4, h5, h6 {
  margin: 0;
}
h1, h2, h3, h4, h5, h6 {
  font-weight: inherit;
  line-height: inherit;
}

img, iframe {
  max-width: 100%;
}
iframe {
  border: none;
  box-shadow: none;
}

a, a:hover {
  color: var(--ink);
}

[id] {
  scroll-margin-top: 3.75rem;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

button {
  position: relative;
  appearance: none;
  cursor: pointer;
  box-shadow: none;
  border: 0;
  outline: none;
  background: none;
  padding: 0;
}

.list {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  padding-left: 1.5rem;
  list-style: disc outside none;

  & > p {
    margin: 0;
    display: list-item;
  }
}

.webgene-pagination {
  & ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 1.25rem;
    padding: 0;
    margin: 0;

    & li {
      & a {
        display: inline-block;
        width: 3rem;
        line-height: 3rem;
        text-align: center;
        &:hover {
          text-decoration: none;
        }
      }

      &.selected {
        & a {
          &:hover {}
        }
      }
    }
  }
}

.webgene-no-items {
  width: 100%;
  text-align: center;
  font-size: 0.875rem;
}

.thumbnail {
  position: relative;

  &.thumbnail--16x9 {
    padding-top: 56.25%;
  }

  & img,
  &:empty::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:empty::before {
    content: "";
    background-image: url("/system_panel/uploads/images/ogp.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }
}

.article-body {
  & > p {
    margin: 1em 0;
  }

  & > h1,
  & > h2,
  & > h3,
  & > h4,
  & > h5,
  & > h6 {
    margin: 2em 0 1em;
  }

  & > *:first-child {
    margin-top: 0;
  }

  & > *:last-child {
    margin-bottom: 0;
  }

  & a,
  & a:hover {
    color: var(--blue);
    text-decoration: underline;
  }
}

.backdrop-object {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.__mat.__mat--processed {
  word-break: keep-all;
  word-wrap: break-word;
}

.page-hero {
  position: relative;
  display: grid;
  width: 100%;
  --image-height: 25rem;
  @media (min-width: 1200px) {
    --image-height: 30rem;
  }
  & .page-hero-image {
    object-fit: cover;
    width: 100%;
    height: var(--image-height);
  }
  & .page-hero-title {
    display: flex;
    justify-content: center;
    padding-bottom: 6.25rem;
    order: 1;
    position: relative;
    transform: scale(0.6);
    & img {
      position: relative;
    }
    &::before {
      content: "";
      aspect-ratio: 437 / 418;
      width: 27.3125rem;
      position: absolute;
      top: -8.375rem;
      left: -3.75rem;
      background-image: url("/system_panel/uploads/images/flower-1.svg");
      background-size: 100% 100%;
      background-repeat: no-repeat;
      opacity: 20%;
    }
    @media (min-width: 768px) {
      transform: scale(0.85);
    }
    @media (min-width: 1024px) {
      &::before {
        opacity: 60%;
      }
    }
    @media (min-width: 1200px) {
      transform: scale(1);
      &::before {
        opacity: 100%;
      }
    }
  }
  &::before {
    content: "";
    width: 100%;
    height: var(--before-height);
    --before-height: 2rem;
    background-image: url("/system_panel/uploads/images/wave.png");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    top: calc(var(--image-height) - var(--before-height));
    left: 0;
    @media (min-width: 768px) {
      --before-height: 3rem;
    }
    @media (min-width: 1200px) {
      --before-height: 5rem;
    }
  }
  &::after {
    content: "";
    display: block;
    width: 100%;
    height: 12.875rem;
    background: linear-gradient(180deg, rgba(253, 247, 245, 0.00) 0%, #E1FFF7 100%), var(--grad-soft-orange-peach);
    margin-top: -1px;
  }
  
  &.page-hero--commitment::after {
    content: none;
  }
}

.section-title {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  &::after {
    content: "";
    display: block;
    width: 2.5rem;
    height: 3px;
    border-radius: 9999px;
    margin-top: 1.3125rem;
    background-color: var(--orange);
  }
  & .section-title__en {
    line-height: 1;
    color: var(--orange);
    font-family: var(--font-display);
    font-weight: 400;
    font-size: 2rem;
  }
  & .section-title__ja {
    line-height: 1.25;
    letter-spacing: 0.12em;
    font-weight: 700;
    font-size: 1.5rem;
  }
  @media (min-width: 768px) {
    & .section-title__en {
      font-size: 2.25rem;
    }
    & .section-title__ja {
      font-size: 1.75rem;
    }
  }
  @media (min-width: 1200px) {
    & .section-title__en {
      font-size: 2.5rem;
    }
    & .section-title__ja {
      font-size: 2rem;
    }
  }
  
  &.section-title--center {
    text-align: center;
    &::after {
      align-self: center;
    }
  }
  &.section-title--no-line {
    &::after {
      content: none;
    }
  }
}

.bg-flowers {
  &::before {
    content: "";
    aspect-ratio: 1800 / 609;
    width: 112.5%;
    background-image: url("/system_panel/uploads/images/flowers.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    left: -6.25%;
    opacity: 20%;
    @media (min-width: 1024px) {
      opacity: 60%;
    }
    @media (min-width: 1200px) {
      opacity: 100%;
    }
  }
  &.bg-flowers--company-profile::before {
    bottom: 10.75rem;
    transform: translateY(100%);
  }
  &.bg-flowers--contact::before {
    top: 45.75rem;
  }
  &.bg-flowers--entry-form::before {
    top: 42.5rem;
  }
  &.bg-flowers--recruit-intro::before {
    bottom: 18.75rem;
    transform: translateY(100%);
  }
  &.bg-flowers--recruit-one-day::before {
    bottom: 25rem;
    transform: translateY(100%);
  }
  &.bg-flowers--commitment-intro::before {
    top: 53%;
  }
  &.bg-flowers--home-recruit::before {
    top: -2rem;
  }
}

.button {
  position: relative;
  display: flex;
  align-items: end;
  justify-content: center;
  gap: 0.5rem;
  padding: 1rem 1rem 1rem 2rem;
  border-radius: 9999px;
  background-color: var(--orange);
  color: var(--snow);
  line-height: 1;
  letter-spacing: 0.03em;
  font-family: var(--font-sans);
  font-weight: 500;
  font-size: 1.125rem;
  transition: all ease 200ms;
  &:hover {
    text-decoration: none;
    color: var(--snow);
    opacity: 90%;
    transform: scale(0.95);
  }
  &::after {
    content: "";
    aspect-ratio: 1 / 1;
    width: 1.5rem;
    background-image: url("/system_panel/uploads/images/chevron-right.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
  }
}

.recruit-intro-card-title {
  line-height: 1.25;
  font-weight: 700;
  font-size: 1.125rem;
  padding: 1.5rem 1.5rem 1rem;
  color: var(--snow);
  background-color: var(--orange);
  border-radius: 1.125rem;
  position: absolute;
  top: -3rem;
  left: 0;
  &::before {
    content: "";
    position: absolute;
    inset: 4px;
    border-radius: 0.875rem;
    border: 3px solid #FEE8CC;
    pointer-events: none;
  }
  @media (min-width: 768px) {
    font-size: 1.25rem;
  }
}

.recruit-one-day-time {
  position: relative;
  z-index: 0;
  font-family: "Zen Maru Gothic", "system-ui", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;;
  &::before {
    content: "";
    display: block;
    width: 1.7142857143em;
    aspect-ratio: 1 / 1;
    border-radius: 9999px;
    background-color: var(--orange);
    opacity: 50%;
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(-41.6666666667%, -42.8571428571%);
    z-index: -1;
  }
}

.snow-wave::before {
  content: "";
  width: 100%;
  height: 3rem;
  background-image: url("/system_panel/uploads/images/snow-wave.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  position: absolute;
  bottom: -1px;
  left: 0;
  @media (min-width: 1024px) {
    height: 5.5rem;
  }
}

.bg-tl-flower {
  &::before {
    content: "";
    aspect-ratio: 437 / 418;
    width: 27.3125rem;
    position: absolute;
    left: -3.75rem;
    background-image: url("/system_panel/uploads/images/flower-1.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
    @media (min-width: 1024px) {
      opacity: 60%;
    }
    @media (min-width: 1200px) {
      opacity: 100%;
    }
  }
  &.bg-tl-flower--recruit-looking-for::before {
    top: 20rem;
  }
}

.footer-contact {
  overflow: hidden;
  position: relative;
  &::before {
    content: "";
    aspect-ratio: 437 / 418;
    width: 25.75rem;
    position: absolute;
    right: -3.625rem;
    bottom: -4.5rem;
    background-image: url("/system_panel/uploads/images/flower-1.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
  }
  & .footer-contact__image {
    position: relative;
    width: 100%;
    height: 37.5rem;
    overflow: hidden;
    border-radius: 2rem;
    box-shadow: var(--elevation-2);
    &::after {
      pointer-events: none;
      content: "";
      position: absolute;
      inset: 0;
      background-color: hsl(0deg 0% 0% / 15%);
    }
    & img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }

  & .footer-contact__content {
    position: relative;
    margin-top: -10rem;
    @media (min-width: 1200px) {
      margin-top: -20rem;
    }
    &::before {
      content: "";
      aspect-ratio: 430 / 387;
      width: 26.875rem;
      background-image: url("/system_panel/uploads/images/ameba.svg");
      background-size: 100% 100%;
      background-repeat: no-repeat;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
}

.commitment-intro-bg-flower {
  &::after {
    content: "";
    aspect-ratio: 437 / 418;
    width: 27.3125rem;
    position: absolute;
    top: -6.875rem;
    left: -4rem;
    background-image: url("/system_panel/uploads/images/flower-1.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
  }
  @media (min-width: 1200px) {
    &::after {
      opacity: 100%;
    }
  }
}

.commitment-intro-title {
  align-self: center;
  transform: scale(0.8);
  @media (min-width: 768px) {
    transform: scale(0.85);
  }
  @media (min-width: 1200px) {
    transform: scale(1);
  }
}

.commitment-reason-num {
  z-index: 1;
  position: absolute;
  top: -2.375rem;
  left: -2.25rem;
  aspect-ratio: 1 / 1;
  width: 6.25rem;
  border-radius: 9999px;
  background-color: var(--orange);
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  letter-spacing: 0;
  font-family: var(--font-display);
  font-weight: 400;
  font-size: 3.5rem;
  color: hsl(0deg 0% 100% / 80%);
  box-shadow: var(--elevation-1);
  &::before {
    pointer-events: none;
    content: "";
    aspect-ratio: 1 / 1;
    width: 5.75rem;
    border-radius: 9999px;
    border: 4px solid hsl(0deg 0% 100% / 80%);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

.commitment-greeting-bg-flower {
  &::after {
    content: "";
    aspect-ratio: 437 / 418;
    width: 27.3125rem;
    position: absolute;
    top: -9.375rem;
    left: -4rem;
    background-image: url("/system_panel/uploads/images/flower-1.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
  }
  @media (min-width: 1200px) {
    &::after {
      opacity: 100%;
    }
  }
}


















